Package com.macrofocus.high_d.mds

# Class AbstractMDSEngine

java.lang.Object
com.macrofocus.high_d.mds.AbstractMDSEngine

All Implemented Interfaces:
  `MDSEngine`

Direct Known Subclasses:
  `PCAMDSEngine`, `SammonMDSEngine`, `SpringMDSEngine`, `TSNEMDSEngine`

public abstract class AbstractMDSEngine extends Object implements MDSEngine
Created by luc on 26/04/16.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractMDSEngine(CPExecutor executor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEngineListener(MDSEngineListener engineListener)`
  `double`
  `computeStress()`
  `abstract CPExecutor.Command`
  `createRunCommand()`
  `protected abstract com.macrofocus.molap.dataframe.matrix.Matrix`
  `getDistanceTable()`
  `boolean`
  `isAlive()`
  `boolean`
  `isInterrupted()`
  `protected void`
  `notifyEngineFinished(MDSEngineEvent event)`
  `protected void`
  `notifyEngineIterated(MDSEngineEvent event)`
  `void`
  `removeEngineListener(MDSEngineListener engineListener)`
  `void`
  `startEngine()`
  `void`
  `stopEngine()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.mds.MDSEngine

  `getModel`

- ## Constructor Details

  - ### AbstractMDSEngine

    public AbstractMDSEngine(CPExecutor executor)

- ## Method Details

  - ### computeStress

    public double computeStress()
    Specified by:
      `computeStress` in interface `MDSEngine`

  - ### getDistanceTable

    protected abstract com.macrofocus.molap.dataframe.matrix.Matrix getDistanceTable()

  - ### startEngine

    public void startEngine()
    Specified by:
      `startEngine` in interface `MDSEngine`

  - ### stopEngine

    public void stopEngine()
    Specified by:
      `stopEngine` in interface `MDSEngine`

  - ### isAlive

    public boolean isAlive()
    Specified by:
      `isAlive` in interface `MDSEngine`

  - ### isInterrupted

    public boolean isInterrupted()

  - ### createRunCommand

    public abstract CPExecutor.Command createRunCommand()

  - ### addEngineListener

    public void addEngineListener(MDSEngineListener engineListener)
    Specified by:
      `addEngineListener` in interface `MDSEngine`

  - ### removeEngineListener

    public void removeEngineListener(MDSEngineListener engineListener)
    Specified by:
      `removeEngineListener` in interface `MDSEngine`

  - ### notifyEngineIterated

    protected void notifyEngineIterated(MDSEngineEvent event)

  - ### notifyEngineFinished

    protected void notifyEngineFinished(MDSEngineEvent event)